Package proton :: Module reactor :: Class Transaction

[frames] | no frames]

# Class Transaction

source code

    object --+
             |
            Transaction

Class to track state of an AMQP 1.0 transaction.

Instance Methods

__init__(self, txn_ctrl, handler, settle_before_discharge=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

commit(self) | source code

abort(self) | source code

declare(self) | source code

discharge(self, failed) | source code

send(self, sender, msg, tag=None) | source code

accept(self, delivery) | source code

update(self, delivery, state=None) | source code

handle_outcome(self, event) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, txn_ctrl, handler, settle_before_discharge=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)